public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Gilles Dartiguelongue" <eva@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-libs/libcroco/
Date: Sun, 13 Dec 2015 22:10:47 +0000 (UTC)	[thread overview]
Message-ID: <1450044622.cbece8e7ed3161b63e91557ba16b4c465a214dd3.eva@gentoo> (raw)

commit:     cbece8e7ed3161b63e91557ba16b4c465a214dd3
Author:     Gilles Dartiguelongue <eva <AT> gentoo <DOT> org>
AuthorDate: Sun Dec 13 22:09:07 2015 +0000
Commit:     Gilles Dartiguelongue <eva <AT> gentoo <DOT> org>
CommitDate: Sun Dec 13 22:10:22 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=cbece8e7

dev-libs/libcroco: version bump to 0.6.10

Package-Manager: portage-2.2.26

 dev-libs/libcroco/Manifest               |  1 +
 dev-libs/libcroco/libcroco-0.6.10.ebuild | 56 ++++++++++++++++++++++++++++++++
 2 files changed, 57 insertions(+)

diff --git a/dev-libs/libcroco/Manifest b/dev-libs/libcroco/Manifest
index 394c8a5..77a507a 100644
--- a/dev-libs/libcroco/Manifest
+++ b/dev-libs/libcroco/Manifest
@@ -1,2 +1,3 @@
+DIST libcroco-0.6.10.tar.xz 476928 SHA256 72066611df77f5c4fb28268cfc7306ecc1517212a6182c2ea756c326a154246c SHA512 c990fc7873f6c6bf2c6994409cb7f79aa19a73a44d4b62a5dae81c2f9ff587cf6c778a87dc3e0d32da6df5a6764f39feed9d39938cdb8056d198ff869b2e6839 WHIRLPOOL 6ffce77ee04be812d81863dde90ff1461ae6449722366ab7e116fd0bdbe0c8ab0838c59986283cb00799e1061f3e83516e067685f7a53c3f2f58fb8bc81c437b
 DIST libcroco-0.6.8.tar.xz 464992 SHA256 ea6e1b858c55219cefd7109756bff5bc1a774ba7a55f7d3ccd734d6b871b8570 SHA512 acfbebb59e5ea1e70da41f35970fb40a58331a1258eee6c981a575fdd23b420b4cc6d8983c90ad1e6afc0a461e675cb24667e03cfc8ec1aa5e9918e606913413 WHIRLPOOL 704fd5d6df6d62c15645b9901b807e5fd8916567fd32b975f4bd0ce013126617cc16e6a14fc334d0733012cfde8403978f5a23c1254fcdfae156a0720fa266e7
 DIST libcroco-0.6.9.tar.xz 475844 SHA256 38b9a6aed1813e55b3ca07a68d1af845ad4d1f984602e9272fe692930c0be0ae SHA512 2bdb16a9004ff7304bc3cf91495925d1502c165b54dc1121d2f0fc9b627ec9c5b81e78b48e3f092855c3accc3295e5a3870eb6225ddb1b1fcd037004af78583b WHIRLPOOL 59767afbbb9a180eb87a5821ec85df50f85a16d687687de1267c86218d1bc587bf37759ba05a34bf0d109dc8e5b7b69209c5c5bdf930fd721e42533670bdb523

diff --git a/dev-libs/libcroco/libcroco-0.6.10.ebuild b/dev-libs/libcroco/libcroco-0.6.10.ebuild
new file mode 100644
index 0000000..74ab744
--- /dev/null
+++ b/dev-libs/libcroco/libcroco-0.6.10.ebuild
@@ -0,0 +1,56 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+GCONF_DEBUG="no"
+GNOME2_LA_PUNT="yes"
+
+inherit gnome2 multilib-minimal
+
+DESCRIPTION="Generic Cascading Style Sheet (CSS) parsing and manipulation toolkit"
+HOMEPAGE="https://git.gnome.org/browse/libcroco/"
+
+LICENSE="LGPL-2"
+SLOT="0.6"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~sparc-fbsd ~x86-fbsd ~x86-freebsd ~amd64-linux ~arm-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~x64-solaris ~x86-solaris"
+IUSE="test"
+
+RDEPEND="
+	>=dev-libs/glib-2.34.3:2[${MULTILIB_USEDEP}]
+	>=dev-libs/libxml2-2.9.1-r4[${MULTILIB_USEDEP}]
+"
+DEPEND="${RDEPEND}
+	dev-util/gtk-doc-am
+	>=virtual/pkgconfig-0-r1[${MULTILIB_USEDEP}]
+"
+
+src_prepare() {
+	if ! use test; then
+		# don't waste time building tests
+		sed 's/^\(SUBDIRS .*\=.*\)tests\(.*\)$/\1\2/' -i Makefile.am Makefile.in \
+			|| die "sed failed"
+	fi
+
+	gnome2_src_prepare
+}
+
+multilib_src_configure() {
+	ECONF_SOURCE=${S} \
+	gnome2_src_configure \
+		--disable-static \
+		$([[ ${CHOST} == *-darwin* ]] && echo --disable-Bsymbolic)
+
+	if multilib_is_native_abi; then
+		ln -s "${S}"/docs/reference/html docs/reference/html || die
+	fi
+}
+
+multilib_src_install() {
+	gnome2_src_install
+}
+
+multilib_src_install_all() {
+	DOCS="AUTHORS ChangeLog HACKING NEWS README TODO"
+	einstalldocs
+}


             reply	other threads:[~2015-12-13 22:10 UTC|newest]

Thread overview: 50+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2015-12-13 22:10 Gilles Dartiguelongue [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-03-12  7:43 [gentoo-commits] repo/gentoo:master commit in: dev-libs/libcroco/ Sam James
2024-03-11 22:53 Sam James
2022-10-29 23:21 Matt Turner
2022-05-17  7:56 WANG Xuerui
2021-05-30 19:43 Matt Turner
2021-05-28 14:40 Sergei Trofimovich
2021-05-27 16:51 Sergei Trofimovich
2021-05-26 13:33 Sam James
2021-05-26 13:33 Sam James
2021-05-26 13:33 Sam James
2021-05-26 13:30 Sam James
2021-05-26 13:17 Sam James
2021-05-26 13:17 Sam James
2020-12-18 22:05 Matt Turner
2020-01-11 19:24 Mart Raudsepp
2019-07-13 12:08 Sergei Trofimovich
2019-06-17 19:40 Sergei Trofimovich
2019-05-10 17:33 Mikle Kolyada
2019-05-09 20:04 Aaron Bauman
2019-04-08  8:56 Mart Raudsepp
2018-08-18  5:24 Mikle Kolyada
2018-04-18  6:44 Mart Raudsepp
2017-06-10 17:58 Mart Raudsepp
2017-05-21 13:18 Mart Raudsepp
2017-05-16  4:43 Markus Meier
2017-05-15 14:06 Michael Weber
2017-05-12 17:56 Tobias Klausmann
2017-05-12 14:55 Agostino Sarubbo
2017-05-11 18:33 Markus Meier
2017-05-10 15:44 Agostino Sarubbo
2017-05-10 14:14 Jeroen Roovers
2017-05-10  9:32 Agostino Sarubbo
2017-04-30  9:58 Jeroen Roovers
2017-04-30  9:37 Agostino Sarubbo
2017-04-29 15:02 Agostino Sarubbo
2017-04-23 21:23 Agostino Sarubbo
2017-04-22 19:08 Tobias Klausmann
2017-04-08 23:17 Mart Raudsepp
2017-02-15 19:24 Mart Raudsepp
2017-01-29 16:08 Fabian Groffen
2016-05-03 20:07 Markus Meier
2016-03-06 16:43 Mikle Kolyada
2015-12-21  7:12 Gilles Dartiguelongue
2015-11-19 10:04 Agostino Sarubbo
2015-11-18  9:09 Agostino Sarubbo
2015-11-18  5:47 Jeroen Roovers
2015-11-14 10:28 Agostino Sarubbo
2015-11-13  9:12 Agostino Sarubbo
2015-11-07 10:57 Pacho Ramos

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1450044622.cbece8e7ed3161b63e91557ba16b4c465a214dd3.eva@gentoo \
    --to=eva@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox